Name:           python-pyasn1
Version:        0.1.9
Release:        %mkrel 1
Summary:        ASN.1 types and codecs
License:        BSD
Group:          Development/Python
Url:            http://pyasn1.sf.net/
Source:         http://pypi.python.org/packages/source/p/pyasn1/pyasn1-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%rename pyasn1

%description
This is an implementation of ASN.1 types and codecs in Python programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%package -n python3-pyasn1
Summary:        ASN.1 types and codecs
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-pyasn1
This is an implementation of ASN.1 types and codecs in Python 3 programming
language. It has been first written to support particular protocol (SNMP) but
then generalized to be suitable for a wide range of protocols based on ASN.1
specification.

%prep
%setup -q -n pyasn1-%{version}
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root=%{buildroot}


%files
%{python_sitelib}/*

%files -n python3-pyasn1
%{python3_sitelib}/*


%changelog
* Fri Mar 04 2016 bb <bb> 0.1.9-1pclos2016
- update

* Thu Sep 17 2015 bb <bb> 0.1.8-2pclos2015
- add python3 module
